org.wildfly.swarm.microprofile.openapi.api.models.media

## Class MediaTypeImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.media.MediaTypeImpl

- All Implemented Interfaces:
    ModelImpl

      public class MediaTypeImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Discriminator` MediaType model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaTypeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MediaType` | `addEncoding(String key, Encoding encodingItem)`
    `MediaType` | `addExample(String key, Example example)`
    `MediaType` | `encoding(Map<String,Encoding> encoding)`
    `MediaType` | `example(Object example)`
    `MediaType` | `examples(Map<String,Example> examples)`
    `Map<String,Encoding>` | `getEncoding()`
    `Object` | `getExample()`
    `Map<String,Example>` | `getExamples()`
    `Schema` | `getSchema()`
    `MediaType` | `schema(Schema schema)`
    `void` | `setEncoding(Map<String,Encoding> encoding)`
    `void` | `setExample(Object example)`
    `void` | `setExamples(Map<String,Example> examples)`
    `void` | `setSchema(Schema schema)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaTypeImpl

          public MediaTypeImpl()

  - ### Method Detail

    - #### getSchema

          public Schema getSchema()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#getSchema()`

    - #### setSchema

          public void setSchema(Schema schema)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#setSchema(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### schema

          public MediaType schema(Schema schema)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#schema(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getExamples

          public Map<String,Example> getExamples()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#getExamples()`

    - #### setExamples

          public void setExamples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#setExamples(java.util.Map)`

    - #### examples

          public MediaType examples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#examples(java.util.Map)`

    - #### addExample

          public MediaType addExample(String key,
                                      Example example)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#addExample(java.lang.String, org.eclipse.microprofile.openapi.models.examples.Example)`

    - #### getExample

          public Object getExample()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#getExample()`

    - #### setExample

          public void setExample(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#setExample(java.lang.Object)`

    - #### example

          public MediaType example(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#example(java.lang.Object)`

    - #### getEncoding

          public Map<String,Encoding> getEncoding()

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#getEncoding()`

    - #### setEncoding

          public void setEncoding(Map<String,Encoding> encoding)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#setEncoding(java.util.Map)`

    - #### encoding

          public MediaType encoding(Map<String,Encoding> encoding)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#encoding(java.util.Map)`

    - #### addEncoding

          public MediaType addEncoding(String key,
                                       Encoding encodingItem)

      See Also:
        `org.eclipse.microprofile.openapi.models.media.MediaType#addEncoding(java.lang.String, org.eclipse.microprofile.openapi.models.media.Encoding)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.